#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2016FriendObj.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   An object that mirrors the friend table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.friendObj import friendObj

class Elect2016FriendObj(friendObj):
    def __init__(self):
        friendObj.__init__(self)
        self.collect_id = -1


    def to_dict(self):
        rec = {}
        if( self.rid > 0 ):
            rec['rid'] = self.rid
        rec['user'] = self.user
        rec['friend'] = self.friend
        rec['user_id'] = self.user_id
        rec['friend_id'] = self.friend_id
        rec['user_local_id'] = self.user_local_id        
        rec['friend_local_id'] = self.friend_local_id

        rec['collect_id'] = self.collect_id
        return rec

    def __repr__(self):
        result = "Elect2016FriendObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"user: "+self.user.encode('utf-8')+"\n\t"
        result = result+"friend: "+self.friend.encode('utf-8')+"\n\t"
        result = result+"user_id: %s\n\t"%(str(self.user_id))
        result = result+"friend_id: %s\n\t"%(str(self.friend_id))
        result = result+"collect_id: %s"%(str(self.collect_id))
        return result
