#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2016UserObj.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   An object that mirrors the user table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.userObj import userObj

class Elect2016UserObj(userObj):
    def __init__(self):
        userObj.__init__(self)
        self.collect_id = -1


    def to_dict(self):
        rec = {}
        if( self.rid > 0 ):
            rec['rid'] = self.rid
        rec['user_name'] = self.user_name
        rec['screen_name'] = self.screen_name
        rec['user_id'] = self.user_id
        rec['join_dt'] = self.join_dt
        rec['verified'] = self.verified        
        rec['geo_enabled'] = self.geo_enabled        
        rec['location'] = self.location
        rec['lang'] = self.lang
        rec['time_zone'] = self.time_zone
        rec['url'] = self.url
        rec['description'] = self.description

        rec['collect_id'] = self.collect_id
        return rec


    def __repr__(self):
        result = "Elect2016UserObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"user_name: %s\n\t"%(str(self.user_name))
        result = result+"screen_name: "+self.screen_name.encode('utf-8')+"\n\t"
        result = result+"join_dt: %s\n\t"%(str(self.join_dt))
        result = result+"user_id: %d\n\t"%(self.user_id)
        result = result+"description: "+self.description.encode('utf-8')+"\n\t"
        result = result+"collect_id: %d"%(self.collect_id)
        return result
